import { H2HexColor } from "./H2HexColor";
import { LineNumber } from "./LineNumber";
import { H2NoCheckboxes } from "./H2NoCheckboxes";
import { H2WithCheckboxes } from "./H2WithCheckboxes";

export type Card = {
  Assignees: Array<string>;
  CreationDateTime: Date;
  Directory: string;
  Extension: string;
  File: string;
  FileName: string;
  FileNameWithoutExtension: string;
  H1: string;
  H2HexColorCollection: Array<H2HexColor>;
  H2NoCheckboxesCollection: Array<H2NoCheckboxes>;
  H2WithCheckboxesCollection: Array<H2WithCheckboxes>;
  LastWriteDateTime: Date;
  LineNumber: LineNumber;
  RequestedDateTime: string;
  Type: string;
};
