$(document).ready(function () {
    const fromHtml = true;
    const username = _webviewUsername;
    const machineId = _webviewMachineId;
    const baseUri = 'https://eaf-dev.mes.infineon.com';
    const apiUrl = 'https://eaf-dev.mes.infineon.com/api/v1/ado/';
    const windowLocationHRef = window.location.href + '?site=' + _webviewSite + 'view=' + _webviewView;
    const signalRUrl = baseUri + '/signalr';
    const workItems = {
        a: baseUri + '/markdown/bugs-features-with-parents.json?v=2025-04-10-15-59',
        b: baseUri + '/markdown/{[]}.json?v=2025-04-10-15-59',
        timeout: 3000,
    };
    const b = {
        page: 'business',
        description: 'Value',
        th: 'Business Value',
        span: 'What is the relative value to the Customer or business?<br>• Do our users prefer this over that?<br>• What is the revenue impact on our business?<br>• Is there a potential penalty or other negative effects if we delay?'
    };
    const r = {
        page: 'risk',
        description: 'Risk',
        th: 'Risk Reduction and/or Opportunity Enablement',
        span: 'What else does this do for our business?<br>• Reduce the risk of this or future delivery?<br>• Is there value in the information we will receive?<br>• Enable new business opportunities?'
    };
    const t = {
        page: 'time',
        description: 'Critical',
        th: 'Time Criticality',
        span: 'How does user/business value decay over time?<br>• Is there a fixed deadline?<br>• Will they wait for us or move to another Solution?<br>• What is the current effect on Customer satisfaction?'
    };
    const c = {
        page: 'cod',
        description: 'CoD',
        th: 'Cost of Delay (CoD)',
        span: "Cost of Delay (CoD) is the money lost by delaying or not doing a job for a specific time. It's a measure of the economic value of a job over time."
    };
    const e = {
        page: 'effort',
        description: 'Effort',
        th: 'Effort',
        span: 'Effort'
    };
    const w = {
        page: 'wsjf',
        description: 'WSJF',
        th: 'Weightest Shortest Job First calculation (WSJF)',
        span: 'Weightest Shortest Job First calculation (see @SCALE formula)'
    };
    initIndex(fromHtml, username, machineId, windowLocationHRef, workItems, b, r, t, c, e, w, apiUrl, signalRUrl);
});